#include <vmlifters.hpp>

namespace vm::lifters
{
    vm::lifters::lifter_t jmp = {
        // jmp
        vm::handler::JMP,
        []( vtil::basic_block *blk, vm::instrs::virt_instr_t *vinstr, vmp2::v3::code_block_t *code_blk ) {
            if ( code_blk->jcc.has_jcc )
            {
                // TODO: figure out what bit the JCC is determined on...
                blk->js( vtil::REG_FLAGS.select( 1, 11 ), code_blk->jcc.block_addr[ 0 ] - vinstr->trace_data.regs.r13,
                         code_blk->jcc.block_addr[ 1 ] - vinstr->trace_data.regs.r13 );
            }
            else
                blk->jmp( vinstr->trace_data.vsp.qword[ 0 ] - vinstr->trace_data.regs.r13 );
        } };
}