#include <vmlifters.hpp>

namespace vm::lifters
{
    vm::lifters::lifter_t lregq = {
        // push vregX
        vm::handler::LREGQ,
        []( vtil::basic_block *blk, vm::instrs::virt_instr_t *vinstr, vmp2::v3::code_block_t *code_blk ) {
            blk->push( make_virtual_register( vinstr->operand.imm.u, 8 ) );
        } };

    vm::lifters::lifter_t lregdw = {
        // push vregX
        vm::handler::LREGDW,
        []( vtil::basic_block *blk, vm::instrs::virt_instr_t *vinstr, vmp2::v3::code_block_t *code_blk ) {
            blk->push( make_virtual_register( vinstr->operand.imm.u, 4 ) );
        } };
} // namespace vm::lifters