#include <vmlifters.hpp>

namespace vm::lifters
{
    vm::lifters::lifter_t vmexit = {
        // ret
        vm::handler::VMEXIT,
        []( vtil::basic_block *blk, vm::instrs::virt_instr_t *vinstr, vmp2::v3::code_block_t *code_blk ) {
            blk->vexit( vtil::make_imm( vinstr->trace_data.vsp.qword[ 0x13 ] - vinstr->trace_data.regs.r13 ) );
        } };
}